## ros-one-foxglove-msgs 3.2.3-0jammy.20260114.0914

=== debian/changelog ===
ros-one-foxglove-msgs (3.2.3-0jammy.20260114.0914) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 14 Jan 2026 09:14:48 +0000

ros-one-foxglove-msgs (3.2.3-0jammy) jammy; urgency=high

  * Fixes to documentation and schema descriptions
  * Contributors: Jacob Bandes-Storch, jesse-foxglove

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 12 Jan 2026 00:00:00 -0000

ros-one-foxglove-msgs (3.2.2-0jammy) jammy; urgency=high

  * Update documentation for various schemas
  * Contributors: James Smith, Jeff Rouleau

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 24 Oct 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.2.1-0jammy) jammy; urgency=high

  * No changes to foxglove_msgs

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 26 Sep 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.2.0-0jammy) jammy; urgency=high

  * Add RawAudio schema
  * Add generated schema types for C++
  * Add Kannala-Brandt distortion model to CameraCalibration
  * Remove ImageMarkerArray schema

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 22 Sep 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.1.0-0jammy) jammy; urgency=high

  * Remove invalid generated schemas from package

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 11 Feb 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.0.1-0jammy) jammy; urgency=high

  * Updating distortion model description
  * Update ImageAnnotation schemas' coordinate fields with comment specifying the coordinate space
  * Update RawImage schema with endianness
  * Update CompressedVideo format strings

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 10 Dec 2024 00:00:00 -0000

ros-one-foxglove-msgs (3.0.0-0jammy) jammy; urgency=high

  * Add a frame_id field to LocationFix
  * Update RawImage encodings
  * Add CompressedVideo schema
  * Improve doc on PointAnnotation field outline_color

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 31 Oct 2023 00:00:00 -0000

ros-one-foxglove-msgs (2.2.0-0jammy) jammy; urgency=high

  * Add TextAnnotation
  * add FrameTransforms Message
  * Remove "all float64s" comment from PointCloud schema
  * Add units to PointsAnnotation and CircleAnnotation
  * Update descriptions for PointsAnnotationType and LineType
  * Elaborate on required fields for PointCloud and Grid messages

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 18 Apr 2023 00:00:00 -0000

ros-one-foxglove-msgs (2.1.1-0jammy) jammy; urgency=high

  * Fix typo in CubePrimitive comments

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 18 Nov 2022 00:00:00 -0000

ros-one-foxglove-msgs (2.1.0-0jammy) jammy; urgency=high

  * Add frame_id to RawImage, CompressedImage, and CameraCalibration
  * Add new SceneEntity and Primitive types
  * Updated documentation for several types and fields

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 18 Nov 2022 00:00:00 -0000

ros-one-foxglove-msgs (2.0.0-0jammy) jammy; urgency=high

  * Consolidate Transform and FrameTransform
  * Contributors: Adrian Macneil

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 15 Jul 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.2.2-0jammy) jammy; urgency=high

  * Fix CMake build accessing parent directory
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 13 Jun 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.2.1-0jammy) jammy; urgency=high

  * Fix CMake install share directory
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 03 Jun 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.2.0-0jammy) jammy; urgency=high

  * Add new Foxglove message types to foxglove_msgs
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 17 May 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.1.0-0jammy) jammy; urgency=high

  * Provide foxglove_msgs for ROS1 and ROS2
  * Contributors: Daisuke Nishimatsu, John Hurliman, wep21

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 19 Apr 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.0.0-0jammy) jammy; urgency=high

  * Initial release with foxglove_msgs/ImageMarkerArray message

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 26 May 2021 00:00:00 -0000

## ros-one-foxglove-msgs 3.2.3-0noble.20260114.0920

=== debian/changelog ===
ros-one-foxglove-msgs (3.2.3-0noble.20260114.0920) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 14 Jan 2026 09:20:49 +0000

ros-one-foxglove-msgs (3.2.3-0noble) noble; urgency=high

  * Fixes to documentation and schema descriptions
  * Contributors: Jacob Bandes-Storch, jesse-foxglove

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 12 Jan 2026 00:00:00 -0000

ros-one-foxglove-msgs (3.2.2-0noble) noble; urgency=high

  * Update documentation for various schemas
  * Contributors: James Smith, Jeff Rouleau

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 24 Oct 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.2.1-0noble) noble; urgency=high

  * No changes to foxglove_msgs

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 26 Sep 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.2.0-0noble) noble; urgency=high

  * Add RawAudio schema
  * Add generated schema types for C++
  * Add Kannala-Brandt distortion model to CameraCalibration
  * Remove ImageMarkerArray schema

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 22 Sep 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.1.0-0noble) noble; urgency=high

  * Remove invalid generated schemas from package

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 11 Feb 2025 00:00:00 -0000

ros-one-foxglove-msgs (3.0.1-0noble) noble; urgency=high

  * Updating distortion model description
  * Update ImageAnnotation schemas' coordinate fields with comment specifying the coordinate space
  * Update RawImage schema with endianness
  * Update CompressedVideo format strings

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 10 Dec 2024 00:00:00 -0000

ros-one-foxglove-msgs (3.0.0-0noble) noble; urgency=high

  * Add a frame_id field to LocationFix
  * Update RawImage encodings
  * Add CompressedVideo schema
  * Improve doc on PointAnnotation field outline_color

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 31 Oct 2023 00:00:00 -0000

ros-one-foxglove-msgs (2.2.0-0noble) noble; urgency=high

  * Add TextAnnotation
  * add FrameTransforms Message
  * Remove "all float64s" comment from PointCloud schema
  * Add units to PointsAnnotation and CircleAnnotation
  * Update descriptions for PointsAnnotationType and LineType
  * Elaborate on required fields for PointCloud and Grid messages

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 18 Apr 2023 00:00:00 -0000

ros-one-foxglove-msgs (2.1.1-0noble) noble; urgency=high

  * Fix typo in CubePrimitive comments

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 18 Nov 2022 00:00:00 -0000

ros-one-foxglove-msgs (2.1.0-0noble) noble; urgency=high

  * Add frame_id to RawImage, CompressedImage, and CameraCalibration
  * Add new SceneEntity and Primitive types
  * Updated documentation for several types and fields

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 18 Nov 2022 00:00:00 -0000

ros-one-foxglove-msgs (2.0.0-0noble) noble; urgency=high

  * Consolidate Transform and FrameTransform
  * Contributors: Adrian Macneil

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 15 Jul 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.2.2-0noble) noble; urgency=high

  * Fix CMake build accessing parent directory
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Mon, 13 Jun 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.2.1-0noble) noble; urgency=high

  * Fix CMake install share directory
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 03 Jun 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.2.0-0noble) noble; urgency=high

  * Add new Foxglove message types to foxglove_msgs
  * Contributors: Jacob Bandes-Storch

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 17 May 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.1.0-0noble) noble; urgency=high

  * Provide foxglove_msgs for ROS1 and ROS2
  * Contributors: Daisuke Nishimatsu, John Hurliman, wep21

 -- Foxglove <ros-tooling@foxglove.dev>  Tue, 19 Apr 2022 00:00:00 -0000

ros-one-foxglove-msgs (1.0.0-0noble) noble; urgency=high

  * Initial release with foxglove_msgs/ImageMarkerArray message

 -- Foxglove <ros-tooling@foxglove.dev>  Wed, 26 May 2021 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-foxglove-msgs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-foxglove-msgs 3.2.4-0jammy.20260123.2043

=== debian/changelog ===
ros-one-foxglove-msgs (3.2.4-0jammy.20260123.2043) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 23 Jan 2026 20:43:48 +0000

ros-one-foxglove-msgs (3.2.4-0jammy) jammy; urgency=high

  * Clarify direction on FrameTransform
  * Contributors: Roman Shtylman

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 22 Jan 2026 00:00:00 -0000

## ros-one-foxglove-msgs 3.2.4-0noble.20260123.2041

=== CMakeLists.txt ===
find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

if(${ROS_VERSION} EQUAL 1)
  cmake_minimum_required(VERSION 3.0.2)
  project(foxglove_msgs)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    geometry_msgs
  )

  # Copy .msg files into a msg/ folder, so that add_message_files installs them
  # into share/${project_name}/msg.
  file(GLOB _generated_ros1_schemas ros1/*)
  file(REMOVE_RECURSE msg)
  file(COPY
    ${_generated_ros1_schemas}
    DESTINATION "${CMAKE_CURRENT_SOURCE_DIR}/msg"
  )

  file(GLOB _all_msg_files RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" msg/*)
  message(STATUS "Using msg files: ${_all_msg_files}")
  if(NOT _all_msg_files)
    message(FATAL_ERROR "No msg files found")
  endif()

  add_message_files(DIRECTORY msg)

  generate_messages(DEPENDENCIES geometry_msgs)

  catkin_package(CATKIN_DEPENDS message_runtime)

  if(CATKIN_ENABLE_TESTING)
    catkin_add_nosetests(test/test_msgs.py DEPENDENCIES ${${PROJECT_NAME}_EXPORTED_TARGETS})
  endif()

elseif(${ROS_VERSION} EQUAL 2)
  cmake_minimum_required(VERSION 3.5)
  project(foxglove_msgs)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Copy .msg files into a msg/ folder, so that rosidl_generate_interfaces
  # installs them into share/${project_name}/msg. Subdirectories not named "msg"
  # will confuse various tooling like rosbridge_server and rosbag2_storage_mcap.
  file(GLOB _generated_ros2_schemas ros2/*)
  file(REMOVE_RECURSE msg)
  file(COPY
    ${_generated_ros2_schemas}
    DESTINATION "${CMAKE_CURRENT_SOURCE_DIR}/msg"
  )

  file(GLOB _all_msg_files RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" msg/*)
  message(STATUS "Using msg files: ${_all_msg_files}")
  if(NOT _all_msg_files)
    message(FATAL_ERROR "No msg files found")
  endif()

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${_all_msg_files}
    DEPENDENCIES builtin_interfaces geometry_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_cmake_pytest REQUIRED)
    find_package(ament_lint_auto REQUIRED)
    list(APPEND AMENT_LINT_AUTO_EXCLUDE
      ament_cmake_copyright
    )
    ament_lint_auto_find_test_dependencies()
    ament_add_pytest_test(${PROJECT_NAME}_test_msgs test/test_msgs.py)
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-one-foxglove-msgs (3.2.4-0noble.20260123.2041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Foxglove <ros-tooling@foxglove.dev>  Fri, 23 Jan 2026 20:41:50 +0000

ros-one-foxglove-msgs (3.2.4-0noble) noble; urgency=high

  * Clarify direction on FrameTransform
  * Contributors: Roman Shtylman

 -- Foxglove <ros-tooling@foxglove.dev>  Thu, 22 Jan 2026 00:00:00 -0000

=== debian/control ===
Source: ros-one-foxglove-msgs
Section: misc
Priority: optional
Maintainer: Foxglove <ros-tooling@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-message-generation, ros-one-ros-environment
Homepage: https://foxglove.dev/
Standards-Version: 3.9.2

Package: ros-one-foxglove-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-message-runtime
Description: foxglove_msgs provides visualization messages that are supported by Foxglove.
